
<form action="https://smcl.bibliocommons.com/search" class="collapsible_search_form" data-js="header_search_form desktop_search_form" id="desktop_search_form" name="desktop_search_form">
  
  <div class="pull-left">
    
    <div data-js="header_target_search_options" data-target="catalogue">
      
      <div class="form-group">
	
	<span aria-hidden="true" class="connector">
	  by
	  
	</span>
	
	<!-- begin SEARCH TYPE -->
	
	<div class="bootstrap-select-wrapper" data-test-id="header-search-type-dropdown">
	  <select aria-label="Search type" class="form-control selectpicker form-control" data-dropup-auto="false" data-js="search_type" data-style="btn-flat btn-default" id="search_filter_id_75cchqrneteq55jsdckqqhk4pk" name="t" testid="search_filter">
	    <option value="smart">Keyword
	    </option>
	    
	    <option value="title">Title
	    </option>
	    
	    <option value="author">Author
	    </option>
	    
	    <option value="subject">Subject
	    </option>
	    
	    <option value="tag">Tag
	    </option>
	    
	    <option value="userlist">List
	    </option>
	    
	    <option value="user">User
	    </option>
	  </select>
	</div>
	
	<input data-js="search_category" id="search_category_id_21i1bgb4bf2ken5pbrlk6e2po7" name="search_category" testid="search_category" type="hidden" value="keyword"/>
	
	<!-- end SEARCH TYPE-->
	
      </div>
      
    </div> 
    <div class="hidden" data-js="header_target_search_options" data-target="website">
      
      <div class="form-group">
	
	<span aria-hidden="true" class="connector">for
	</span>
	
	<div class="bootstrap-select-wrapper">
	  <select aria-label="Search within the website" class="selectpicker form-control" data-dropup-auto="false" data-js="header_search_format" data-style="btn-flat btn-default" id="post_type" name="post_type" testid="cms_post_type">
	    <option value="">All Content
	    </option>
	    
	    <option value="bccms_faq">FAQs
	    </option>
	    
	    <option value="bccms_news">News
	    </option>
	    
	    <option value="post">Blog Posts
	    </option>
	  </select>
	</div>
	
      </div>
      
    </div> 
    <div class="hidden" data-js="header_target_search_options" data-target="faqs">
      
      <input id="post_type" name="post_type" type="hidden" value="bccms_faq"/>
      
    </div> 
  </div>
  
  <!-- begin SEARCH INPUT -->
  
  <div class="input-group header_search_box">
    
    <label class="sr-only" for="search_box_id_asrntaulhtlf1d0gft6us98kh">Enter search query
    </label>
    
    <span class="main_search_input_wrapper" data-js="main_search_input_wrapper">
      
      <input aria-activedescendant="" aria-autocomplete="both" aria-expanded="false" aria-owns="header_auto_suggest_id_3fmq1g5fbeep4dri0vpcq5u4j6" autocomplete="off" class="form-control main_search_input text" data-js="main_search_input" id="search_box_id_asrntaulhtlf1d0gft6us98kh" maxlength="1000" name="q" testid="main_search_input" type="search"/>
      
      <span aria-hidden="true" class="header_search_filter_lock form-control-feedback" data-js="search_filter_locked">
	
	<svg aria-hidden="true" class="svg_icon" focusable="false" height="14" style="transform: rotate(-45deg);" viewbox="0 0 16 16" width="14" xmlns="http://www.w3.org/2000/svg">
	  
	  <path d="M8.5 0l-1.5 1.5 1.5 1.5-3.5 4h-3.5l2.75 2.75-4.25 5.635v0.615h0.615l5.635-4.25 2.75 2.75v-3.5l4-3.5 1.5 1.5 1.5-1.5-7.5-7.5zM7 8.5l-1-1 3.5-3.5 1 1-3.5 3.5z">
	  </path>
	  
	</svg>
	
      </span>
      
      <button class="btn btn-link header_search_clear_button" data-js="header_search_clear_button" type="button">
	
	<div class="sr-only">
          Clear Text
          
	</div>
	
	<svg aria-hidden="true" class="svg_icon svg_close_icon" focusable="false" height="16" viewbox="0 0 16 16" width="16" xmlns="http://www.w3.org/2000/svg">
	  
	  <rect fill="currentColor" height="16" transform="rotate(45 7.964 7.964)" width="2" x="6.964" y="-.036">
	  </rect>
	  
	  <rect fill="currentColor" height="16" transform="scale(-1 1) rotate(45 0 -11.263)" width="2" x="6.964" y="-.036">
	  </rect>
	  
	</svg>
	
      </button>
      
      <div class="cp_header_auto_suggest hidden" data-js="header_auto_suggest">
	
	<div aria-atomic="false" aria-live="polite" class="sr-only" data-js="auto_suggest_aria_messages" role="alert">
	</div>
	
	<ul class="dropdown-menu" data-js="suggestion-menu" id="header_auto_suggest_id_3fmq1g5fbeep4dri0vpcq5u4j6" role="listbox">
	</ul>
	
	<div class="hidden">
	  
	  <svg aria-hidden="true" class="suggestion-skeleton-icon pulse" data-js="suggestion_skeleton_svg" focusable="false" height="14" preserveaspectratio="xMinYMin meet" viewbox="0 0 10 10" width="14" xmlns="http://www.w3.org/2000/svg">
	    
	    <rect fill="currentColor" height="10" width="2000">
	    </rect>
	    
	  </svg>
	  
	</div>
	
      </div>
      
    </span>
    
    <span class="input-group-btn">
      
      <button class="btn btn-primary btn-flat" type="submit">
	
	<i aria-hidden="true" class="icon-search">
	</i>
	
	<span class="sr-only">Search
	</span>
	
      </button>
      
    </span>
    
  </div>
  
  <!-- end SEARCH INPUT -->
</form>
<form action="https://smcl.bibliocommons.com/search" class="collapsible_search_form" data-js="header_search_form desktop_search_form" id="desktop_search_form" name="desktop_search_form">
  
  <div class="pull-left">
    
    <div data-js="header_target_search_options" data-target="catalogue">
      
      <div class="form-group">
	
	<span aria-hidden="true" class="connector">
	  by
	  
	</span>
	
	<!-- begin SEARCH TYPE -->
	
	<div class="bootstrap-select-wrapper" data-test-id="header-search-type-dropdown">
	  <select aria-label="Search type" class="form-control selectpicker form-control" data-dropup-auto="false" data-js="search_type" data-style="btn-flat btn-default" id="search_filter_id_75cchqrneteq55jsdckqqhk4pk" name="t" testid="search_filter">
	    <option value="smart">Keyword
	    </option>
	    
	    <option value="title">Title
	    </option>
	    
	    <option value="author">Author
	    </option>
	    
	    <option value="subject">Subject
	    </option>
	    
	    <option value="tag">Tag
	    </option>
	    
	    <option value="userlist">List
	    </option>
	    
	    <option value="user">User
	    </option>
	  </select>
	</div>
	
	<input data-js="search_category" id="search_category_id_21i1bgb4bf2ken5pbrlk6e2po7" name="search_category" testid="search_category" type="hidden" value="keyword"/>
	
	<!-- end SEARCH TYPE-->
	
      </div>
      
    </div> 
    <div class="hidden" data-js="header_target_search_options" data-target="website">
      
      <div class="form-group">
	
	<span aria-hidden="true" class="connector">for
	</span>
	
	<div class="bootstrap-select-wrapper">
	  <select aria-label="Search within the website" class="selectpicker form-control" data-dropup-auto="false" data-js="header_search_format" data-style="btn-flat btn-default" id="post_type" name="post_type" testid="cms_post_type">
	    <option value="">All Content
	    </option>
	    
	    <option value="bccms_faq">FAQs
	    </option>
	    
	    <option value="bccms_news">News
	    </option>
	    
	    <option value="post">Blog Posts
	    </option>
	  </select>
	</div>
	
      </div>
      
    </div> 
    <div class="hidden" data-js="header_target_search_options" data-target="faqs">
      
      <input id="post_type" name="post_type" type="hidden" value="bccms_faq"/>
      
    </div> 
  </div>
  
  <!-- begin SEARCH INPUT -->
  
  <div class="input-group header_search_box">
    
    <label class="sr-only" for="search_box_id_asrntaulhtlf1d0gft6us98kh">Enter search query
    </label>
    
    <span class="main_search_input_wrapper" data-js="main_search_input_wrapper">
      
      <input aria-activedescendant="" aria-autocomplete="both" aria-expanded="false" aria-owns="header_auto_suggest_id_3fmq1g5fbeep4dri0vpcq5u4j6" autocomplete="off" class="form-control main_search_input text" data-js="main_search_input" id="search_box_id_asrntaulhtlf1d0gft6us98kh" maxlength="1000" name="q" testid="main_search_input" type="search"/>
      
      <span aria-hidden="true" class="header_search_filter_lock form-control-feedback" data-js="search_filter_locked">
	
	<svg aria-hidden="true" class="svg_icon" focusable="false" height="14" style="transform: rotate(-45deg);" viewbox="0 0 16 16" width="14" xmlns="http://www.w3.org/2000/svg">
	  
	  <path d="M8.5 0l-1.5 1.5 1.5 1.5-3.5 4h-3.5l2.75 2.75-4.25 5.635v0.615h0.615l5.635-4.25 2.75 2.75v-3.5l4-3.5 1.5 1.5 1.5-1.5-7.5-7.5zM7 8.5l-1-1 3.5-3.5 1 1-3.5 3.5z">
	  </path>
	  
	</svg>
	
      </span>
      
      <button class="btn btn-link header_search_clear_button" data-js="header_search_clear_button" type="button">
	
	<div class="sr-only">
          Clear Text
          
	</div>
	
	<svg aria-hidden="true" class="svg_icon svg_close_icon" focusable="false" height="16" viewbox="0 0 16 16" width="16" xmlns="http://www.w3.org/2000/svg">
	  
	  <rect fill="currentColor" height="16" transform="rotate(45 7.964 7.964)" width="2" x="6.964" y="-.036">
	  </rect>
	  
	  <rect fill="currentColor" height="16" transform="scale(-1 1) rotate(45 0 -11.263)" width="2" x="6.964" y="-.036">
	  </rect>
	  
	</svg>
	
      </button>
      
      <div class="cp_header_auto_suggest hidden" data-js="header_auto_suggest">
	
	<div aria-atomic="false" aria-live="polite" class="sr-only" data-js="auto_suggest_aria_messages" role="alert">
	</div>
	
	<ul class="dropdown-menu" data-js="suggestion-menu" id="header_auto_suggest_id_3fmq1g5fbeep4dri0vpcq5u4j6" role="listbox">
	</ul>
	
	<div class="hidden">
	  
	  <svg aria-hidden="true" class="suggestion-skeleton-icon pulse" data-js="suggestion_skeleton_svg" focusable="false" height="14" preserveaspectratio="xMinYMin meet" viewbox="0 0 10 10" width="14" xmlns="http://www.w3.org/2000/svg">
	    
	    <rect fill="currentColor" height="10" width="2000">
	    </rect>
	    
	  </svg>
	  
	</div>
	
      </div>
      
    </span>
    
    <span class="input-group-btn">
      
      <button class="btn btn-primary btn-flat" type="submit">
	
	<i aria-hidden="true" class="icon-search">
	</i>
	
	<span class="sr-only">Search
	</span>
	
      </button>
      
    </span>
    
  </div>
  
  <!-- end SEARCH INPUT -->
</form>
